<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-gb">
 <head>
  <title>JQuery</title>
  <style type="text/css">
body {
   background: #fff;
   margin: 0px;
   padding: 0px;
   text-align: center;
}
body, div, p, blockquote, h1, h2, input {
   font-family: Trebuchet MS, Arial, Verdana, sans-serif;
}
body, div, p, blockquote {
   font-size: 13px;
   line-height: 170%;
}
a, a:link, a:visited {
   text-decoration: none;
   color: #00c;
}
a:hover {
   text-decoration: underline;
   color: #c00;
}
h1 {
   margin: 0px;
   padding: 0px;
}
h1 span {
   color: #ACBEDF;
   display: block;
   width: 500px;
   margin-left: auto;
   margin-right: auto;
   font-size: 36px;
   padding: 20px 0px 20px 0px;
   text-align: left;
}
h1 span strong {
   padding-left: 80px;
   color: #758ebc;
}
.Content {
   margin-left: auto;
   margin-right: auto;
   text-align: left;
   width: 55em;
   padding: 20px 0px 40px 0px;
}
p, h2, h3 {
   margin: 0px;
   padding: 0px;
}
p {
   margin-bottom: 1em;
}
code {
   background: #FEFECC;
   margin: 10px 0px 10px 0px;
   padding: 10px;
   border-left: 4px solid #FCEEAA;
   font-family: courier new, courier, system, sans-serif;
   display: block;
   white-space: pre;
   white-space: pre-wrap !important;       /* css-3 */
   white-space: -moz-pre-wrap !important;  /* Mozilla, since 1999 */
   white-space: -pre-wrap !important;      /* Opera 4-6 */
   white-space: -o-pre-wrap !important;    /* Opera 7 */
   word-wrap: break-word !important;       /* Internet Explorer 5.5+ */
}
fieldset {
   border: 0px;
   margin: 0px;
   padding: 0px;
}
fieldset ul {
   list-style: none;
   margin: 0px;
   padding: 8px 8px 2px 8px;
   background: #efefef;
}
fieldset label {
   float: left;
   margin: 0px 0px 6px 0px;
   width:30%;
}
fieldset ul li {
   clear: left;
}
fieldset ul li input {
   margin-bottom: 6px;
   width: 50%;
}
.Button {
   padding: 10px 0px 20px 0px;
}
.Button input {
   font-size: 14px;
   font-weight: bold;
   border: 0px;
   margin: 0px;
   padding: 0px;
   background: none;
   cursor: pointer;
   color: #64AE18;
}
.Button a {
   font-size: 14px;
   font-weight: bold;
   color: #64AE18;			
}
#Installation {background-color:#fafafa;padding:0.5em;border:1px solid #ccc;}

/*	2010-02-24 18:58:18 LS
 *	Shamelessly robbed from http://vanillaforums.org/themes/vanillaforumsorg/design/style.css
 */
/* ---- Big Chunky Buttons ---- */
.ChunkyButton {
   width: 190px;
   margin: 20px 0 0;
   background: url('http://vanillaforums.org/themes/vanillaforumsorg/design/left_bluegreen.png') bottom left no-repeat;
   cursor: pointer;
}
.ChunkyButton a {
   font-family: 'lucida grande','Lucida Sans Unicode', Tahoma, sans-serif;
   font-weight: bold;
   color: #fff;
   text-shadow: 0 -1px 0 #000;
   font-size: 20px;
   text-align: center;
   line-height: 2.2;
   display: block;
   height: 46px;
   margin: 0 0 0 5px;
   padding: 0 3px 0 0;
   background: url('http://vanillaforums.org/themes/vanillaforumsorg/design/right_bluegreen.png') bottom right no-repeat;
}
.ChunkyButton:hover {
   background: url('http://vanillaforums.org/themes/vanillaforumsorg/design/left_bluegreen.png') top left no-repeat;
}
.ChunkyButton:hover a {
   background: url('http://vanillaforums.org/themes/vanillaforumsorg/design/right_bluegreen.png') top right no-repeat;
   text-decoration:none;
}
	</style>
 </head>

 <body>
  <div class="Content">
   <div style="font-size:13px;color:#000;padding:10px;border:0;margin:0;background:#fff;">
    <h1 style="margin:0;font-size:20px;font-weight:bold;">
     <a href="http://vanillaforums.org/addon/231">JQuery v19-1.4.2 </a>
    </h1>
    <p>by <a href="http://vanillaforums.org/profile/2277">Luke Scammell aka [-Stash-] </a></p>
	<p class="ChunkyButton"><a href="http://vanillaforums.org/get/231">Download Now</a></p>
    <p>This extension adds the jQuery JavaScript library to the header pages of the common Vanilla pages. The idea behind this is:</p>

    <ol>
     <li>to enable extension writers to use jQuery simply and easily.</li>
     <li>to enable Vanilla admins to easily update jQuery to the latest version.</li>
     <li>to keep Vanilla from becoming bogged down with multiple versions/copies of jQuery as extension authors decide they want to use it.</li>
    </ol>
	
	<h2 style="color:red;">Extension Developers</h2>
	<h4>Calling JQuery for use with your extension</h4>
	<p>To call JQuery from your extensions use the following code</p>
	<code style="padding:0.2em 1em;margin:0 0 1em 0;display:block;">includeJQuery(); // call JQuery to ensure it's loaded first</code>
	
	<h4>Compatibility with Prototype and other libraries</h4>
	<p>In order to maintain compatibility with other JS libraries jQuery's compatibility mode is enabled by default.  This may mean that your jQuery code will not work without wrapping it in the following code:<br />
	<a href="http://docs.jquery.com/Using_jQuery_with_Other_Libraries">Read more about this on the jQuery website</a></p>
	<code style="padding:0.2em 1em;margin:0 0 1em 0;display:block;">jQuery(document).ready(function($){ // other library compatibility
...
}); // other library compatibility</code>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">Known extension bugs</h4>
    <p style="margin-top:0;">! None.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">To do</h4>
    <p style="margin-top:0;">+ <del>Only have jQuery appear in headers when called.</del> v13-1.2.1<br />
	+ <del>Add admin interface.</del> v15-1.2.6<br />
	+ <del>Add capability to change between jQuery versions and compression types in a pretty interface.</del> v15-1.2.6<br />
	+ Make CKEditor user selectable?<br />
	+ Check for HTML Formatter when enabling CKEditor.<br />
	+ Add jQuery UI.<br />
    + <del>Add plugins interface</del> v15-1.2.6 and dependency checking.</p>

    <div style="font-size:13px;color:#000;padding:0.7em;border:1px solid #ddd;background:#fafafa;margin-bottom:1em;">
     <h2 style="margin:0;font-size:20px;font-weight:bold;">EXTENSION INSTALLATION INSTRUCTIONS</h2>
     <p style="margin:0;">Download and uncompress the extension files, then <strong>upload</strong> them to:</p>
     <code style="padding:0.2em 1em;margin:0 0 1em 0;display:block;">/path/to/vanilla/extensions/JQuery/</code>
     <p style="margin:0;">The path to this extension's default.php file should look like this:</p>
     <code style="padding:0.2em 1em;margin:0 0 1em 0;display:block;">/path/to/vanilla/extensions/JQuery/default.php</code>
     <p style="margin:0;">To enable the extension you must be logged in with an account that has Administrator privileges.  You can enable the extension in Vanilla by clicking on: </p>
     <code style="padding:0.2em 1em;display:block;">Settings > Extensions</code>
     <p>Then tick the checkbox for <strong>"JQuery"</strong>
     </p>
     <form>
      <input type="checkbox" checked="checked" style="float:left;">JQuery</form>
     </p>
    </div>

    <h2>History</h2>
    <h4 style="margin:0;font-size:13px;font-weight:bold;">v19-1.4.2 Released 2010-02-24</h4>
    <p style="margin:0 0 1em 0;">+ Updated the JS library to <a href="http://blog.jquery.com/2010/02/19/jquery-142-released/">jQuery 1.4.2</a>.<br />
	+ Added some more config to CKEditor to force it to display nicer raw HTML<br />
	+ Added "Previous Release" option in the admin settings so people can roll back even minor version updates.<br />
	! Reworded some of the admin options to try and make it clearer.<br />
	! Bit more general code tidy up.</p>
	
    <h4 style="margin:0;font-size:13px;font-weight:bold;">v18-1.4.1 Released 2010-02-19</h4>
    <p style="margin:0 0 1em 0;">+ Hid the comment box resizer <a href="http://vanillaforums.org/discussion/comment/100499/#Comment_100499">thanks SubJunk</a><br />
	+ Added ColorBox 1.3.6.<br />
	- Removed ThickBox 3.1 - <a href="http://jquery.com/demo/thickbox/">it's very old and is no longer maintained</a>.<br />
	! Couple of CKEditor CSS tweaks (Vanilla overrides a lot by default with annoying CSS * selectors).<br />
	! General code tidy up, can still be better, but...</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">v17-1.4.1 Released 2010-02-18</h4>
    <p style="margin:0 0 1em 0;">+ Updated the JS library to jQuery 1.4.1.<br />
	+ Added "JQuery Plugin" CKEditor 3.1, accessible through the admin interface</p>
	<ol><li>You must have HTML Formatter installed and enabled to use CKEditor properly</li>
	<li>You must select "HTML" as your comment format when posting/editing</li>
	<li>You <strong>must</strong> change the <code style="padding:0.2em 1em;margin:0 0 1em 0;display:inline;">HTML_CONVERT_NEWLINES</code> option in HTML Formatter to <code style="padding:0.2em 1em;margin:0 0 1em 0;display:inline;">0</code> otherwise you <strong>will</strong> get strange spacing issues.</li>
	</ol>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">v16-1.3.2 ReleasedUnreleased</h4>
    <p style="margin:0 0 1em 0;">+ Updated the JS library to jQuery 1.3.2.<br />
	- Removed "JQuery Plugins" lightbox and Shadowbox - weren't completely working an dI don't have time to make them currently<br />
	! Replaced "JQuery Plugins" ScrollToAnchors with SmoothPageScroll accessible through the admin interface</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">v15-1.2.6 Released 2008-06-18</h4>
    <p style="margin:0 0 1em 0;">+ Updated the JS library to jQuery 1.2.6.<br />
	+ Added Admin Interface - thanks to SetList!<br />
	+ Added "JQuery Plugins" (ThickBox, lightbox, Shadowbox, ScrollToAnchors and HideSpoiler) accessible through the admin interface</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">v14-1.2.1 Released 2007-09-21</h4>
    <p style="margin:0 0 1em 0;">+ jQuery <strong>no longer inserts itself into the head unless it is called by another extension!</strong>  PLEASE NOTE that extensions relying on this extension will no longer work until they are updated to work with this new method.<br />
	+ Added commented line to default.php for easy enabling of jQuery 1.1.4 - just in case you're using something incompatible with the 1.2 branch.  It isn't elegant, but it works :P<br />
	+ added minified, packed, gzipped versions of jQuery 1.1.4 to the /old/ directory.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">v13-1.2.1 Released 2007-09-19</h4>
    <p style="margin:0 0 1em 0;">+ Updated the JS library to jQuery 1.2.1.<br />
	+ Changed the default jQuery library to a minified version instead of packed (for clientside decode speed up).  I have also included the packed, original uncompressed and gzip versions of all the above.  If gzip works for you, the best one is the gzipped min file (even though it's 1kb bigger than the gzipped pack file).  Just edit line 29 to whatever suits you best <code style="display:inline;">$Head->AddScript('extensions/JQuery/jquery-1.2.1.min.js');</code><br />
	- Removed the /src/ directory from the package as it is now unecessary.</p>
	
    <h4 style="margin:0;font-size:13px;font-weight:bold;">v12-1.1.4 Released 2007-08-27</h4>
    <p style="margin:0 0 1em 0;">+ Updated the JS library to jQuery 1.1.4.<br />
	+ Changed the version numbering scheme to a simple RELEASENUMBER-JQUERY_VERSION_NUMBER.  So for this release &mdash; v12-1.1.4 &mdash; the v12 refers to release 12 (count 'em) using version 1.1.4 of the jQuery JS library.  Hopefully this will be an improvement and less confusing for people.  If you have a view on this one way or another, please leave feedback in the addon discussion.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.1.6 Released 2007-07-12</h4>
    <p style="margin:0 0 1em 0;">+ Updated the JS library to jQuery 1.1.3.1.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.1.5 Released 2007-06-28</h4>
    <p style="margin:0 0 1em 0;">! Fixed a bug that could cause the the extensions/settings.php file to be wiped on busier servers due to the settings being written on every single page load. <a href="http://lussumo.com/community/?CommentID=71190">Thanks to little_peet for pointing this out!</a></p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.1.4 Released 2007-03-20</h4>
    <p style="margin-top:0;">+ Added the compatibility code to the bottom of jquery.js so all jQuery plugins can be used (with a small modification) along side other JS libraries.  <a href="http://lussumo.com/community/?CommentID=62995">Thanks to Dinoboff for pointing me in the right direction.</a></p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.1.3 Released 2007-03-13</h4>
    <p style="margin-top:0;">! JQuery was causing a JS error and stopping categories and Page Manager pages from being reordered on settings.php and extension.php pages.  Until this can be resolved I've disabled JQuery on these pages, sorry.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.1.2 Released 2007-02-28</h4>
    <p style="margin-top:0;">+ Fixed to work with SirNot's PreviewPost 2.2.<br />
    + Updated jQuery to 1.1.2.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.1.1 Released 2007-01-22</h4>
    <p style="margin-top:0;">+ Updated jQuery to 1.1.1.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.1.0 Released 2007-01-20</h4>
    <p style="margin-top:0;">+ Updated jQuery to 1.1 - Please note that older 1.0 plugins may need to be modified/rewritten in order to function as expected with jQuery 1.1.<br />
    ! JQuery now does not conflict with Prototype and SmoothPageJump :) Ensure that prototype and SPJ are enabled AFTER JQuery.  Just wrap your jQuery Javascripts with
    <code>  (function($) {
   // jQuery functions using $ in here.
  })(jQuery)</code>
    See JQThickBox as an example.<br />
    - Returned configuration settings to firing on every page as the other code wasn't updating the version numbers.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.0.3 Released 2007-01-12</h4>
    <p style="margin-top:0;">+ Made use of JQUERY_PATH, thanks Jazzman.<br />
    ! Prevented the configuration settings code executing on every page, <a href="http://lussumo.com/community/?CommentID=55048">thanks Jazzman.</a></p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.0.2 Released 2007-01-08</h4>
    <p style="margin-top:0;">+ Improved readability of the code a little and added a couple more files to the array of pages to have jquery.js added to.<br />
    ! Fixed a path case typo in the AddScript line.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.0.1 Released 2007-01-02</h4>
    <p style="margin-top:0;">+ Added a global configuration settings so other extensions can see if JQuery is installed.</p>

    <h4 style="margin:0;font-size:13px;font-weight:bold;">1.0.0 Released 2006-12-19</h4>
    <p style="margin-top:0;">+ Original release.<br />
    ! <a href="http://lussumo.com/community/?CommentID=54574">Incompatible with Smooth Page Jump 1.0 by Jazzman :(</a> JQuery and Smooth Page Jump are completely incompatible. Whichever one is activated last works and prevents the other one from working properly.</p>
   </div>
  </div>
 </body>
</html>